Skip to main content
PATCH
/
ai-agents
/
agents
/
{id}
Update BYO Agent
curl --request PATCH \
  --url https://{appid}.api-{region}.cometchat.io/v3/ai-agents/agents/{id} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "name": "<string>",
  "icon": "<string>",
  "isActive": true,
  "integrateWith": "<string>",
  "integrationType": "llm",
  "integrationMeta": {},
  "actions": [
    "<string>"
  ],
  "tools": [
    "<string>"
  ],
  "cometchatTools": [
    "<string>"
  ],
  "instruction": "<string>",
  "suggestions": [
    "<string>"
  ],
  "metaData": {}
}
'
{
  "success": true
}

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

id
string
required

Body

application/json
name
string

Name of the agent

icon
string

URL to the icon/avatar of the agent

isActive
boolean
default:true

Is the agent active?

integrateWith
string

ID of the LLM or platform this agent connects to

integrationType
enum<string>

Type of connection: llm or agent

Available options:
llm,
agent
integrationMeta
object

Required if integrationType is "agent". URL where the agent is deployed

actions
string[]

List of actions

tools
string[]

List of tools

cometchatTools
string[]

List of CometChat-provided tools

instruction
string

Instruction for the agent

suggestions
string[]

Array of suggestion texts for the agent

metaData
object

Optional metadata object for the agent

Response

Agent updated successfully

success
boolean
required

Indicates whether the operation was successful

Example:

true